ru.bitel.bgbilling.plugins.im.common

## Class IMUtils

- java.lang.Object
- - ru.bitel.bgbilling.plugins.im.common.IMUtils

-     public class IMUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getJIDResource(java.lang.String jid)` Возвращает ресурс (часть строки после первого '/'), или null строку если его нет (нету '/').
    `static java.lang.String` | `getLoginFromJID(java.lang.String jid)` Возвращает логин из JIDа, то есть часть до @
    `static java.lang.String` | `getPureJID(java.lang.String jid)` Очищает jid от ресурса и прочего: возвращает текст до первого '/', или весь текст если не нашёл
    `static java.lang.String` | `linesToString(org.w3c.dom.Element node)`
    `static void` | `stringToLines(org.w3c.dom.Element node, java.lang.String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IMUtils

          public IMUtils()

  - ### Method Detail

    - #### getPureJID

          public static java.lang.String getPureJID(java.lang.String jid)

      Очищает jid от ресурса и прочего: возвращает текст до первого '/', или весь текст если не нашёл
      Parameters:
        `jid` - исходный жид в строке
      Returns:
        строка в виде user@server

    - #### getJIDResource

          public static java.lang.String getJIDResource(java.lang.String jid)

      Возвращает ресурс (часть строки после первого '/'), или null строку если его нет (нету '/').
      Parameters:
        `jid` - жид
      Returns:
        строка ресурса или null.

    - #### getLoginFromJID

          public static java.lang.String getLoginFromJID(java.lang.String jid)

      Возвращает логин из JIDа, то есть часть до @
      Parameters:
        `jid` - жид
      Returns:
        строка - логин или null если передан null или неправильный jid (то есть нету @)

    - #### stringToLines

          public static final void stringToLines(org.w3c.dom.Element node,
                                                 java.lang.String str)

    - #### linesToString

          public static final java.lang.String linesToString(org.w3c.dom.Element node)